package com.ibm.gbs.va.grit.adapter.viewholder;

import android.view.View;

import com.ibm.gbs.va.grit.databinding.ChatOutcomingMessageBinding;
import com.ibm.gbs.va.grit.model.chat.ChatMessage;
import com.stfalcon.chatkit.messages.MessageHolders;

public class GritOutcomingMessageViewHolder extends MessageHolders.BaseOutcomingMessageViewHolder<ChatMessage> {

    private final ChatOutcomingMessageBinding binding;

    public GritOutcomingMessageViewHolder(View itemView, Object payload) {
        super(itemView, payload);
        binding = ChatOutcomingMessageBinding.bind(itemView);
    }

    @Override
    public void onBind(ChatMessage message) {
        super.onBind(message);
        binding.messageText.setText(message.getText());
    }
}
