package com.ibm.gbs.va.grit.fragment;

import android.app.Activity;

import com.ibm.gbs.va.grit.util.Analytics;

import javax.inject.Inject;

import dagger.android.support.DaggerFragment;

public abstract class AnalyticsFragment extends DaggerFragment {
    protected String TAG = null;

    @Inject
    Analytics analytics;

    @Override
    public void onResume() {
        super.onResume();
        Activity parent = getActivity();
        if (parent != null) {
            analytics.setCurrentScreen(parent, (TAG != null) ? TAG : this.getClass().getSimpleName());
        }
    }
}
