package com.ibm.gbs.va.grit.model.request;

import android.support.annotation.NonNull;

import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;

public class ExistsRequest extends BaseRequest {

    @SerializedName("email")
    private String email;

    public String getEmail() {
        return email;
    }

    public ExistsRequest(String email) {
        this.email = email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    @NonNull
    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
