package com.ibm.gbs.va.grit.model.request;

import android.databinding.BaseObservable;

import com.google.gson.annotations.SerializedName;

public class SearchSkillsRequest extends BaseObservable {
    @SerializedName("targetIndustry")
    private String targetIndustry;

    @SerializedName("yearsOfExperience")
    private Integer yearsOfExperience;

    public SearchSkillsRequest(String targetIndustry, Integer yearsOfExperience) {
        this.targetIndustry = targetIndustry;
        this.yearsOfExperience = yearsOfExperience;
    }

    public String getTargetIndustry() {
        return targetIndustry;
    }

    public void setTargetIndustry(String targetIndustry) {
        this.targetIndustry = targetIndustry;
    }

    public Integer getYearsOfExperience() {
        return yearsOfExperience;
    }

    public void setYearsOfExperience(Integer yearsOfExperience) {
        this.yearsOfExperience = yearsOfExperience;
    }
}
