package com.ibm.gbs.va.grit.model.response;

import android.databinding.BaseObservable;
import android.support.annotation.NonNull;

import com.google.gson.Gson;
import com.ibm.gbs.va.grit.model.type.Role;

import java.util.List;

public class SkillsResponse extends BaseObservable {
    private final List<Role> roles;

    public SkillsResponse(List<Role> roles) {
        this.roles = roles;
    }

    public List<Role> getRoles() {
        return roles;
    }

    @NonNull
    @Override
    public String toString() {
        return new Gson().toJson(this);
    }

    public static Integer[] getYearsOfExperienceOptions() {
        return new Integer[]{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20};
    }
}
