package com.ibm.gbs.va.grit.model.survey;

import android.support.annotation.NonNull;

import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;
import com.ibm.gbs.va.grit.model.type.MultiLangText;

public class SelectOption {

    // ////////////////////////////////
    // FIELDS
    @SerializedName("answerId")
    private String answerId;

    @SerializedName("label")
    private MultiLangText label;

    @SerializedName("askOther")
    private Boolean askOther;

    // ////////////////////////////////
    // GETTERS & SETTERS
    public String getAnswerId() {
        return answerId;
    }

    public void setAnswerId(String answerId) {
        this.answerId = answerId;
    }

    public MultiLangText getLabel() {
        return label;
    }

    public void setLabel(MultiLangText label) {
        this.label = label;
    }

    public Boolean getAskOther() {
        return askOther;
    }

    public void setAskOther(Boolean askOther) {
        this.askOther = askOther;
    }

    @NonNull
    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
