package com.ibm.gbs.va.grit.model.type;

import android.graphics.Bitmap;
import android.support.v4.app.FragmentManager;

public class BadgeListBadge {

    private Badge currentBadge;

    private boolean awarded;

    private FragmentManager fragmentManager;

    public BadgeListBadge(Badge currentBadge, boolean awarded) {
        this.currentBadge = currentBadge;
        this.awarded = awarded;
    }

    public Badge getCurrentBadge() {
        return currentBadge;
    }

    public void setCurrentBadge(Badge currentBadge) {
        this.currentBadge = currentBadge;
    }

    public boolean isAwarded() {
        return awarded;
    }

    public void setAwarded(boolean awarded) {
        this.awarded = awarded;
    }


    public FragmentManager getFragmentManager() {
        return fragmentManager;
    }

    public void setFragmentManager(FragmentManager fragmentManager) {
        this.fragmentManager = fragmentManager;
    }

    public Bitmap getBadgeImage(){
        if(awarded) return currentBadge.getAwardedImageBitmap();
        else return currentBadge.getUnawardedImageBitmap();
    }

}
