package com.ibm.gbs.va.grit.model.type;

import android.databinding.BaseObservable;
import android.support.annotation.NonNull;

import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;

public class Job extends BaseObservable {
    @SerializedName("jobId")
    private String jobId;

    @SerializedName("jobTitle")
    private String jobTitle;

    @SerializedName("employer")
    private String employer;

    @SerializedName("location")
    private String location;

    @SerializedName("minSalary")
    private String minSalary;

    @SerializedName("maxSalary")
    private String maxSalary;

    @SerializedName("applicationURL")
    private String applicationURL;

    @SerializedName("employmentType")
    private String employmentType;

    @SerializedName("hoursType")
    private String hoursType;

    @SerializedName("overview")
    private String overview;

    @SerializedName("experience")
    private String experience;

    @SerializedName("savedJobId")
    private String savedJobId;

    public Job() {
    }

    public String getJobId() {
        return jobId;
    }

    public String getJobTitle() {
        return jobTitle;
    }

    public String getEmployer() {
        return employer;
    }

    public String getLocation() {
        return location;
    }

    public String getMinSalary() {
        return minSalary;
    }

    public String getMaxSalary() {
        return maxSalary;
    }

    public String getApplicationURL() {
        return applicationURL;
    }

    public String getEmploymentType() {
        return employmentType;
    }

    public String getHoursType() {
        return hoursType;
    }

    public String getOverview() {
        return overview;
    }

    public String getExperience() {
        return experience;
    }

    public String getSavedJobId() {
        return savedJobId;
    }

    public void setSavedJobId(String savedJobId) {
        this.savedJobId = savedJobId;
    }

    @NonNull
    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
