module.exports = function(CoffeeShop) {
	
	CoffeeShop.status = function(cb) {
	    var currentDate = new Date();
	    var currentHour = currentDate.getHours();
	    var OPEN_HOUR = 6;
	    var CLOSE_HOUR = 20;
	    console.log('Current hour is %d', currentHour);
	    var response;
	    if (currentHour >= OPEN_HOUR && currentHour < CLOSE_HOUR) {
	      response = 'We are open for business.';
	    } else {
	      response = 'Sorry, we are closed. Open daily from 6am to 8pm.';
	    }
	    cb(null, response);
	  };
	  
	  
	  CoffeeShop.remoteMethod(
	    'status', {
	      http: {
	        path: '/status',
	        verb: 'get'
	      },
	      returns: {
	        arg: 'status',
	        type: 'string'
	      }
	    }
	  );
	  
	  CoffeeShop.createCollection = function(industryname, cb) {
		   
		  var DiscoveryV1 = require('watson-developer-cloud/discovery/v1');

		  console.log("Industry Name -- ", industryname);
		  var discovery = new DiscoveryV1({
		    username: '5ff721a7-4fac-4349-87f7-d0226b5ec682',
		    password: 'ILLXoODqmqaj',
		    version_date: '2017-08-01'
		  });
		  
		  var params = {
				  environment_id : "1d3e51f0-3d70-402c-a38a-1e2f091ca603",
				  name : industryname
				  
		  };
		  
		  discovery.createCollection((params), function(error, data) {
		    console.log("result:: ", data, " Error:: ", error);
		    cb(null, JSON.stringify(data, null, 2));
		  });
		  
		    
		  };
	  
	  CoffeeShop.remoteMethod(
			    'createCollection', {
			      http: {
			        path: '/createCollection',
			        verb: 'post'
			      },
			      accepts: [{
			    	  arg: 'industryname',
			    	  type: 'string'
			      }],
			      returns: {
			        arg: 'status',
			        type: 'string'
			      }
			    }
			  );
	  
};
