package com.ibm.grit.rest;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ScoreResponse implements Serializable {
    
    private static final long serialVersionUID = -7669817871039128837L;
    //public String vetId;
    public boolean success;
    public String message;
    public List<Flag> currentSessionFlags = new ArrayList<Flag>();
    {
        currentSessionFlags.add(new Flag("reassess", false));
        currentSessionFlags.add(new Flag("afterBL", false));
        
        currentSessionFlags.add(new Flag("askBLCustom2", false));
        currentSessionFlags.add(new Flag("askBLCustom3", false));
        currentSessionFlags.add(new Flag("askBLCustom4", false));
        
        currentSessionFlags.add(new Flag("askRABN", false));
        currentSessionFlags.add(new Flag("askRAEmp", false));
        currentSessionFlags.add(new Flag("askRAEmpMoUnemp", false));
        currentSessionFlags.add(new Flag("askRAHea", false));
        currentSessionFlags.add(new Flag("askRAMent", false));
        currentSessionFlags.add(new Flag("askRAMentCond", false));
        currentSessionFlags.add(new Flag("askRASoc", false));
        currentSessionFlags.add(new Flag("askRASocMoMaritalChg", false));
    }
    
    public ScoreResponse() {
        super();
    }

    public ScoreResponse(boolean success, String message, List<Flag> currentSessionFlags) {
        super();
        this.success = success;
        this.message = message;
        this.currentSessionFlags = currentSessionFlags;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<Flag> getCurrentSessionFlags() {
        return currentSessionFlags;
    }

    public void setCurrentSessionFlags(List<Flag> currentSessionFlags) {
        this.currentSessionFlags = currentSessionFlags;
    }
    
}
