package com.ibm.grit.scoring;

import java.io.Serializable;

public class BasicNeeds implements Serializable {
    private static final long serialVersionUID = 1165030443029044376L;
    
    public static final int FALSE = 0;
    public static final int TRUE = 1;
    
    public String personId;
    
    public int sex = -1;
    public static final int MALE = 1;
    public static final int FEMALE = 2;
    public static final int UNSPECIFIED = 3;
    
    public int housing = -1;
    public static final int OWN = 1;
    public static final int RENT = 2;
    public static final int MILITARY_HOUSING = 3;
    public static final int LIVE_FRIENDS = 4;
    public static final int HOMELESS = 5;
    
    public int transp = -1;
    public static final int VERY_RELIABLE = 1;
    public static final int USUALLY_AVAILABLE = 2;
    public static final int LESS_RELIABLE = 3;
    public static final int OFTEN_UNAVAILABLE = 4;
    public static final int UNRELIABLE = 5;
    
    public int food = -1;
    public static final int EXCELLENT = 1;
    public static final int ABOVE_AVERAGE = 2;
    public static final int AVERAGE = 3;
    public static final int SOMETIMES_MISS = 4;
    public static final int OFTEN_HUNGRY = 5;
    
    public int finan = -1;
    public static final int TWO_OR_MORE = 1;
    public static final int ONE_TO_TWO = 2;
    public static final int MINIMAL = 3;
    public static final int IN_DEBT = 4;
    
    public int sexRefuse = -1;
    public int housingRefuse = -1;
    public int transpRefuse = -1;
    public int foodRefuse = -1;
    public int finanRefuse = -1;
    
    public BasicNeeds() {
    	super();
    }

    public String getPersonId() {
        return personId;
    }

    public void setPersonId(String personId) {
        this.personId = personId;
    }

    public int getSex() {
        return sex;
    }

    public void setSex(int sex) {
        this.sex = sex;
    }

    public int getHousing() {
        return housing;
    }

    public void setHousing(int housing) {
        this.housing = housing;
    }

    public int getTransp() {
        return transp;
    }

    public void setTransp(int transp) {
        this.transp = transp;
    }

    public int getFood() {
        return food;
    }

    public void setFood(int food) {
        this.food = food;
    }

    public int getFinan() {
        return finan;
    }

    public void setFinan(int finan) {
        this.finan = finan;
    }

    public int getSexRefuse() {
        return sexRefuse;
    }

    public void setSexRefuse(int sexRefuse) {
        this.sexRefuse = sexRefuse;
    }

    public int getHousingRefuse() {
        return housingRefuse;
    }

    public void setHousingRefuse(int housingRefuse) {
        this.housingRefuse = housingRefuse;
    }

    public int getTranspRefuse() {
        return transpRefuse;
    }

    public void setTranspRefuse(int transpRefuse) {
        this.transpRefuse = transpRefuse;
    }

    public int getFoodRefuse() {
        return foodRefuse;
    }

    public void setFoodRefuse(int foodRefuse) {
        this.foodRefuse = foodRefuse;
    }

    public int getFinanRefuse() {
        return finanRefuse;
    }

    public void setFinanRefuse(int finanRefuse) {
        this.finanRefuse = finanRefuse;
    }
}
