package com.ibm.grit.scoring;

import java.io.Serializable;

public class Mental implements Serializable {
    private static final long serialVersionUID = -4028895991780097083L;
    
    public static final int FALSE = 0;
    public static final int TRUE = 1;
    
    public String personId;
    
    public int noMentDiagnosis;
    public int depression;
    public int bipolar;
    public int ptsd;
    public int anxiety;
    public int sleepDisorder;
    public int otherMentDiagnosis;
    public int mentDiagnosisRefuse;
    
    public int weeklyAlcoholDrinks;
    public int alcoholRefuse;
    
    public int noSubstAbuse;
    public int tobaccoVape;
    public int opioids;
    public int cannabis;
    public int amphetamine;
    public int cocaine;
    public int heroin;
    public int otherSubstAbuse;
    public int substAbuseRefuse;
    
    public int noMentRx;
    public int antidepressants;
    public int sleepMeds;
    public int otherMentMeds;
    public int medsRefuse;
    
    public int annualMentVisits;
    public int visitsRefuse;
    
    public int annualMentVisits2;
    public static final int NONE_AND_NO_PLANS_FOR_NEXT_YEAR = 1;
    public static final int NONE_BUT_INTEND_TO_VISIT_NEXT_YEAR = 2;
    public static final int ONE_TO_SIX = 3;
    public static final int SEVEN_TO_TWELVE = 4;
    public static final int THIRTEEN_TO_EIGHTEEN = 5;
    public static final int MORE_THAN_EIGHTEEN = 6;
    public int visitsRefuse2;
    
    public Mental() {
    	super();
    }

    public String getPersonId() {
        return personId;
    }

    public void setPersonId(String personId) {
        this.personId = personId;
    }

    public int getNoMentDiagnosis() {
        return noMentDiagnosis;
    }

    public void setNoMentDiagnosis(int noMentDiagnosis) {
        this.noMentDiagnosis = noMentDiagnosis;
    }

    public int getDepression() {
        return depression;
    }

    public void setDepression(int depression) {
        this.depression = depression;
    }

    public int getBipolar() {
        return bipolar;
    }

    public void setBipolar(int bipolar) {
        this.bipolar = bipolar;
    }

    public int getPtsd() {
        return ptsd;
    }

    public void setPtsd(int ptsd) {
        this.ptsd = ptsd;
    }

    public int getAnxiety() {
        return anxiety;
    }

    public void setAnxiety(int anxiety) {
        this.anxiety = anxiety;
    }

    public int getSleepDisorder() {
        return sleepDisorder;
    }

    public void setSleepDisorder(int sleepDisorder) {
        this.sleepDisorder = sleepDisorder;
    }

    public int getOtherMentDiagnosis() {
        return otherMentDiagnosis;
    }

    public void setOtherMentDiagnosis(int otherMentDiagnosis) {
        this.otherMentDiagnosis = otherMentDiagnosis;
    }

    public int getMentDiagnosisRefuse() {
        return mentDiagnosisRefuse;
    }

    public void setMentDiagnosisRefuse(int mentDiagnosisRefuse) {
        this.mentDiagnosisRefuse = mentDiagnosisRefuse;
    }

    public int getWeeklyAlcoholDrinks() {
        return weeklyAlcoholDrinks;
    }

    public void setWeeklyAlcoholDrinks(int weeklyAlcoholDrinks) {
        this.weeklyAlcoholDrinks = weeklyAlcoholDrinks;
    }

    public int getAlcoholRefuse() {
        return alcoholRefuse;
    }

    public void setAlcoholRefuse(int alcoholRefuse) {
        this.alcoholRefuse = alcoholRefuse;
    }

    public int getNoSubstAbuse() {
        return noSubstAbuse;
    }

    public void setNoSubstAbuse(int noSubstAbuse) {
        this.noSubstAbuse = noSubstAbuse;
    }

    public int getTobaccoVape() {
        return tobaccoVape;
    }

    public void setTobaccoVape(int tobaccoVape) {
        this.tobaccoVape = tobaccoVape;
    }

    public int getOpioids() {
        return opioids;
    }

    public void setOpioids(int opioids) {
        this.opioids = opioids;
    }

    public int getCannabis() {
        return cannabis;
    }

    public void setCannabis(int cannabis) {
        this.cannabis = cannabis;
    }

    public int getAmphetamine() {
        return amphetamine;
    }

    public void setAmphetamine(int amphetamine) {
        this.amphetamine = amphetamine;
    }

    public int getCocaine() {
        return cocaine;
    }

    public void setCocaine(int cocaine) {
        this.cocaine = cocaine;
    }

    public int getHeroin() {
        return heroin;
    }

    public void setHeroin(int heroin) {
        this.heroin = heroin;
    }

    public int getOtherSubstAbuse() {
        return otherSubstAbuse;
    }

    public void setOtherSubstAbuse(int otherSubstAbuse) {
        this.otherSubstAbuse = otherSubstAbuse;
    }

    public int getSubstAbuseRefuse() {
        return substAbuseRefuse;
    }

    public void setSubstAbuseRefuse(int substAbuseRefuse) {
        this.substAbuseRefuse = substAbuseRefuse;
    }

    public int getNoMentRx() {
        return noMentRx;
    }

    public void setNoMentRx(int noMentRx) {
        this.noMentRx = noMentRx;
    }

    public int getAntidepressants() {
        return antidepressants;
    }

    public void setAntidepressants(int antidepressants) {
        this.antidepressants = antidepressants;
    }

    public int getSleepMeds() {
        return sleepMeds;
    }

    public void setSleepMeds(int sleepMeds) {
        this.sleepMeds = sleepMeds;
    }

    public int getOtherMentMeds() {
        return otherMentMeds;
    }

    public void setOtherMentMeds(int otherMentMeds) {
        this.otherMentMeds = otherMentMeds;
    }

    public int getMedsRefuse() {
        return medsRefuse;
    }

    public void setMedsRefuse(int medsRefuse) {
        this.medsRefuse = medsRefuse;
    }

    public int getAnnualMentVisits() {
        return annualMentVisits;
    }

    public void setAnnualMentVisits(int annualMentVisits) {
        this.annualMentVisits = annualMentVisits;
    }

    public int getVisitsRefuse() {
        return visitsRefuse;
    }

    public void setVisitsRefuse(int visitsRefuse) {
        this.visitsRefuse = visitsRefuse;
    }

    public int getAnnualMentVisits2() {
        return annualMentVisits2;
    }

    public void setAnnualMentVisits2(int annualMentVisits2) {
        this.annualMentVisits2 = annualMentVisits2;
    }

    public int getVisitsRefuse2() {
        return visitsRefuse2;
    }

    public void setVisitsRefuse2(int visitsRefuse2) {
        this.visitsRefuse2 = visitsRefuse2;
    }
}
