package com.ibm.grit.scoring;

import java.io.Serializable;
import java.util.Date;

public class RiskAssessment implements Serializable{
    private static final long serialVersionUID = -5136971310978751508L;
    
    public String personId;
    
    public Date timestamp = new Date();
    
    public double basicNeedsRiskScore;
    public String basicNeedsRiskLevel;
    
    public double employabilityRiskScore;
    public String employabilityRiskLevel;
    public boolean employed;
    
    public double healthRiskScore;
    public String healthRiskLevel;
    
    public double socialRiskScore;
    public String socialRiskLevel;
    
    public double suicideRiskScore;
    public String suicideRiskLevel;
    
    public double moodFacesSlope;
    public double sentimentSlope;
    public double overallMoodValue;

    public RiskAssessment() {
        super();
    }

    public String getPersonId() {
        return personId;
    }

    public void setPersonId(String personId) {
        this.personId = personId;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    public double getBasicNeedsRiskScore() {
        return basicNeedsRiskScore;
    }

    public void setBasicNeedsRiskScore(double basicNeedsRiskScore) {
        this.basicNeedsRiskScore = basicNeedsRiskScore;
    }

    public String getBasicNeedsRiskLevel() {
        return basicNeedsRiskLevel;
    }

    public void setBasicNeedsRiskLevel(String basicNeedsRiskLevel) {
        this.basicNeedsRiskLevel = basicNeedsRiskLevel;
    }

    public double getEmployabilityRiskScore() {
        return employabilityRiskScore;
    }

    public void setEmployabilityRiskScore(double employabilityRiskScore) {
        this.employabilityRiskScore = employabilityRiskScore;
    }

    public String getEmployabilityRiskLevel() {
        return employabilityRiskLevel;
    }

    public void setEmployabilityRiskLevel(String employabilityRiskLevel) {
        this.employabilityRiskLevel = employabilityRiskLevel;
    }

    public boolean isEmployed() {
        return employed;
    }

    public void setEmployed(boolean employed) {
        this.employed = employed;
    }

    public double getHealthRiskScore() {
        return healthRiskScore;
    }

    public void setHealthRiskScore(double healthRiskScore) {
        this.healthRiskScore = healthRiskScore;
    }

    public String getHealthRiskLevel() {
        return healthRiskLevel;
    }

    public void setHealthRiskLevel(String healthRiskLevel) {
        this.healthRiskLevel = healthRiskLevel;
    }

    public double getSocialRiskScore() {
        return socialRiskScore;
    }

    public void setSocialRiskScore(double socialRiskScore) {
        this.socialRiskScore = socialRiskScore;
    }

    public String getSocialRiskLevel() {
        return socialRiskLevel;
    }

    public void setSocialRiskLevel(String socialRiskLevel) {
        this.socialRiskLevel = socialRiskLevel;
    }

    public double getSuicideRiskScore() {
        return suicideRiskScore;
    }

    public void setSuicideRiskScore(double suicideRiskScore) {
        this.suicideRiskScore = suicideRiskScore;
    }

    public String getSuicideRiskLevel() {
        return suicideRiskLevel;
    }

    public void setSuicideRiskLevel(String suicideRiskLevel) {
        this.suicideRiskLevel = suicideRiskLevel;
    }

    public double getMoodFacesSlope() {
        return moodFacesSlope;
    }

    public void setMoodFacesSlope(double moodFacesSlope) {
        this.moodFacesSlope = moodFacesSlope;
    }

    public double getSentimentSlope() {
        return sentimentSlope;
    }

    public void setSentimentSlope(double sentimentSlope) {
        this.sentimentSlope = sentimentSlope;
    }

    public double getOverallMoodValue() {
        return overallMoodValue;
    }

    public void setOverallMoodValue(double overallMoodValue) {
        this.overallMoodValue = overallMoodValue;
    }

    public static long getSerialversionuid() {
        return serialVersionUID;
    }
    
    
}
