package com.ibm.grit.scoring;

import java.io.Serializable;

public class Social implements Serializable {
    private static final long serialVersionUID = -1680162946488673135L;
    
    public static final int FALSE = 0;
    public static final int TRUE = 1;
    
    public String personId;
    
    public int marital = -1;
    public static final int SINGLE = 1;
    public static final int MARRIED = 2;
    public static final int SEPARATED = 3;
    public static final int DIVORCED = 4;
    public static final int WIDOWED = 5;
        
    public int moMaritalChg;
        
    public int interact = -1;
    public int conflict = -1;
    public static final int NONE_OR_RARELY = 1;
    public static final int OCCASIONAL = 2;
    public static final int AVERAGE = 3;
    public static final int OFTEN = 4;
    public static final int FREQUENT_OR_REGULAR = 5;
    
    public int relig = -1;
    public static final int NO = 1;
    public static final int YES_BUT_NOT_AFFILIATED = 2;
    public static final int YES_ATTEND_REGULARLY = 3;
    public static final int YES_ATTEND_SERVICES_OFTEN = 4;
    public static final int YES_ATTEND_OCCASIONALLY = 5;
    public static final int YES_UP_TO_TWICE_PER_YEAR = 6;
    
    public int edu = -1;
    public static final int ADVANCED = 1;
    public static final int COLLEGE = 2;
    public static final int TRADE_SCHOOL = 3;
    public static final int SOME_COLLEGE_OR_ASSOCIATES = 4;
    public static final int HIGH_SCHOOL = 5;
    public static final int PARTIAL_HIGH_SCHOOL = 6;
    
    public int maritalRefuse = -1;
    public int moMaritalChgRefuse = -1;
    public int interactRefuse = -1;
    public int conflictRefuse = -1;
    public int religRefuse = -1;
    public int eduRefuse = -1;
    
    public Social() {
    	super();
    }

    public String getPersonId() {
        return personId;
    }

    public void setPersonId(String personId) {
        this.personId = personId;
    }

    public int getMarital() {
        return marital;
    }

    public void setMarital(int marital) {
        this.marital = marital;
    }

    public int getMoMaritalChg() {
        return moMaritalChg;
    }

    public void setMoMaritalChg(int moMaritalChg) {
        this.moMaritalChg = moMaritalChg;
    }

    public int getInteract() {
        return interact;
    }

    public void setInteract(int interact) {
        this.interact = interact;
    }

    public int getConflict() {
        return conflict;
    }

    public void setConflict(int conflict) {
        this.conflict = conflict;
    }

    public int getRelig() {
        return relig;
    }

    public void setRelig(int relig) {
        this.relig = relig;
    }

    public int getEdu() {
        return edu;
    }

    public void setEdu(int edu) {
        this.edu = edu;
    }

    public int getMaritalRefuse() {
        return maritalRefuse;
    }

    public void setMaritalRefuse(int maritalRefuse) {
        this.maritalRefuse = maritalRefuse;
    }

    public int getMoMaritalChgRefuse() {
        return moMaritalChgRefuse;
    }

    public void setMoMaritalChgRefuse(int moMaritalChgRefuse) {
        this.moMaritalChgRefuse = moMaritalChgRefuse;
    }

    public int getInteractRefuse() {
        return interactRefuse;
    }

    public void setInteractRefuse(int interactRefuse) {
        this.interactRefuse = interactRefuse;
    }

    public int getConflictRefuse() {
        return conflictRefuse;
    }

    public void setConflictRefuse(int conflictRefuse) {
        this.conflictRefuse = conflictRefuse;
    }

    public int getReligRefuse() {
        return religRefuse;
    }

    public void setReligRefuse(int religRefuse) {
        this.religRefuse = religRefuse;
    }

    public int getEduRefuse() {
        return eduRefuse;
    }

    public void setEduRefuse(int eduRefuse) {
        this.eduRefuse = eduRefuse;
    }
}
