package com.ibm.grit.scoring;

import java.io.Serializable;
import java.util.Date;

public class Tweet implements Serializable {

    private static final long serialVersionUID = -1364459787380271227L;
    
    public Double tweetId;
    public String personId;
    public String author;
    public Date createdAt;
    public String text;
    public double sentimentScore;
    
    public Tweet() {
        super();
    }

    public Double getTweetId() {
        return tweetId;
    }

    public void setTweetId(Double tweetId) {
        this.tweetId = tweetId;
    }

    public String getPersonId() {
        return personId;
    }

    public void setPersonId(String personId) {
        this.personId = personId;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public double getSentimentScore() {
        return sentimentScore;
    }

    public void setSentimentScore(double sentimentScore) {
        this.sentimentScore = sentimentScore;
    }
}
