package com.ibm.grit.rest;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class ManualConfigTest {
    static Properties properties = new Properties();
    static {
        InputStream inputStream = null;
        try {
            inputStream = new FileInputStream("config.properties");
            properties.load(inputStream);
            
            inputStream.close();
        }
        catch (IOException e) {
            e.printStackTrace();
        }
    }
            
    

    public static void main(String[] args) {
        System.out.println(System.getProperty("user.dir"));
        System.out.println(properties.getProperty("production"));
        System.out.println(properties.getProperty("production").getClass());
        
        System.out.println(properties.getProperty("mongoConnectionString"));
        System.out.println(properties.getProperty("mongoConnectionString").getClass());
        
        Boolean production = Boolean.parseBoolean(properties.getProperty("production"));
        System.out.println(production.getClass());
    }

}
