package com.ibm.grit.scoring;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.AfterAll;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.kie.api.KieServices;
import org.kie.api.runtime.KieContainer;
import org.kie.api.runtime.KieSession;

import com.ibm.grit.utils.ScoringUtils;

class MultiRuleSetTest {
	
    static KieServices ks;
    static KieContainer kc;
    KieSession ksession;
    RiskAssessment ra;
    BasicNeeds bn;
    Employment emp;
    Health hea;
    Military mil;
    Mental ment;
    Social soc;  
/*
    @BeforeAll
    static void setUpBeforeClass() throws Exception {
        ks = KieServices.Factory.get();
        kc = ks.getKieClasspathContainer();
    }

    @AfterAll
    static void tearDownAfterClass() throws Exception {
    }

    @BeforeEach
    void setUp() throws Exception {
        ksession = kc.newKieSession("AllKS");
        ra = new RiskAssessment();
        ra.personId = "TEST_ID";
        
        bn = new BasicNeeds();
        bn.personId = "TEST_ID";
        
        emp = new Employment();
        emp.personId = "TEST_ID";
        
        hea = new Health();
        hea.personId = "TEST_ID";
        
        mil = new Military();
        mil.personId = "TEST_ID";
        
        ment = new Mental();
        ment.personId = "TEST_ID";
        
        soc = new Social();
        soc.personId = "TEST_ID";
    }

    @AfterEach
    void tearDown() throws Exception {
    }

    @Test
    void minRiskFemale() {
    ScoringUtils su = new ScoringUtils();
        su.minRiskFemale(bn, emp, hea, ment, mil, soc, ra);
        
        ksession.insert(bn);
        ksession.insert(emp);
        ksession.insert(hea);
        ksession.insert(mil);
        ksession.insert(ment);
        ksession.insert(soc);
        ksession.insert(ra);

        ksession.fireAllRules();
        ksession.dispose();

        assertEquals(0.0, ra.basicNeedsRiskScore);
        assertEquals("low", ra.basicNeedsRiskLevel);

        assertEquals(0.0, ra.employabilityRiskScore);
        assertEquals("low", ra.employabilityRiskLevel);

        assertEquals(0.0, ra.healthRiskScore);
        assertEquals("low", ra.healthRiskLevel);

        assertEquals(0.0, ra.socialRiskScore);
        assertEquals("low", ra.socialRiskLevel);

        assertEquals(0.0, ra.suicideRiskScore);
        assertEquals("low", ra.suicideRiskLevel);
    }

    @Test
    void lowRiskMale() {
        ScoringUtils su = new ScoringUtils();
        su.lowRiskMale(bn, emp, hea, ment, mil, soc, ra);

        ksession.insert(bn);
        ksession.insert(emp);
        ksession.insert(hea);
        ksession.insert(mil);
        ksession.insert(ment);
        ksession.insert(soc);
        ksession.insert(ra);

        ksession.fireAllRules();
        ksession.dispose();

        assertEquals(0.22, ra.basicNeedsRiskScore, 0.001);
        assertEquals("low", ra.basicNeedsRiskLevel);

        assertEquals(0.196, ra.healthRiskScore, .0001);
        assertEquals("low", ra.healthRiskLevel);

        assertEquals(0.04, ra.employabilityRiskScore, .001);
        assertEquals("low", ra.employabilityRiskLevel);

        assertEquals(0.094, ra.socialRiskScore, .001);
        assertEquals("low", ra.socialRiskLevel);

        assertEquals(0.17741, ra.suicideRiskScore, .0001);
        assertEquals("low", ra.suicideRiskLevel);
    }

    @Test
    void mediumRiskFemale() {
        ScoringUtils su = new ScoringUtils();
        su.mediumRiskFemale(bn, emp, hea, ment, mil, soc, ra);

        ksession.insert(bn);
        ksession.insert(emp);
        ksession.insert(hea);
        ksession.insert(mil);
        ksession.insert(ment);
        ksession.insert(soc);
        ksession.insert(ra);

        ksession.fireAllRules();
        ksession.dispose();

        assertEquals(0.402, ra.basicNeedsRiskScore, 0.001);
        assertEquals("medium", ra.basicNeedsRiskLevel);

        assertEquals(0.192, ra.employabilityRiskScore, 0.001);
        assertEquals("medium", ra.employabilityRiskLevel);

        assertEquals(0.33, ra.healthRiskScore, .0001);
        assertEquals("medium", ra.healthRiskLevel);

        assertEquals(0.361, ra.socialRiskScore, .001);
        assertEquals("medium", ra.socialRiskLevel);

        assertEquals(0.30167, ra.suicideRiskScore, .0001);
        assertEquals("medium", ra.suicideRiskLevel);
    }


    @Test
    void highRiskMale() {
        ScoringUtils su = new ScoringUtils();
        su.highRiskMale(bn, emp, hea, ment, mil, soc, ra);

        ksession.insert(bn);
        ksession.insert(emp);
        ksession.insert(hea);
        ksession.insert(mil);
        ksession.insert(ment);
        ksession.insert(soc);
        ksession.insert(ra);

        ksession.fireAllRules();
        ksession.dispose();

        assertEquals(0.7275, ra.basicNeedsRiskScore, 0.001);
        assertEquals("high", ra.basicNeedsRiskLevel);

        assertEquals(0.67, ra.employabilityRiskScore, .01);
        assertEquals("high", ra.employabilityRiskLevel);

        assertEquals(0.718, ra.healthRiskScore, .0001);
        assertEquals("high", ra.healthRiskLevel);

        assertEquals(0.611, ra.socialRiskScore, .001);
        assertEquals("high", ra.socialRiskLevel);

        assertEquals(0.527, ra.suicideRiskScore, .001);
        assertEquals("high", ra.suicideRiskLevel);
    }
    */
}
