'use strict';

const jsftp = require("jsftp");
const fs = require('fs');
const unzipper = require('unzipper');

const ftp = new jsftp({
    host: 'transfer.burning-glass.com',
    port: 21,
    user: 'IBMGRIT',
    pass: 'G6jr9Uzm'
  });

const ftp2 = new jsftp({
    host: 'transfer.burning-glass.com',
    port: 21,
    user: 'IBMGRIT',
    pass: 'G6jr9Uzm'
});

  
  let yesterday = new Date(Date.now() - 864e5).toISOString().split('T')[0].replace(/\-/g, "");
  let prevDate = new Date(Date.now() - (2 * 24 * 3600 * 1000)).toISOString().split('T')[0].replace(/\-/g, "");
  let addFile = `./BGDailyFeed/addJobsZip/US_XML_Premium_AddFeed_${yesterday}_JobsFor_${prevDate}.zip`;
  let deleteFile = `./BGDailyFeed/deleteJobsZip/US_XML_DelFeed_${yesterday}_JobsFor_${prevDate}.zip`;

  console.log(`FTP start ${new Date().toUTCString()}`); 
  ftp.get(`/DailyFeed/Jobs/US/v2/add_WithoutPostingHTML/US_XML_Premium_AddFeed_${yesterday}_JobsFor_${prevDate}.zip`, addFile, err => {
    
    if (err) {
      return console.error(`There was an error retrieving the AddJobs file. ${err}`);
    }
    console.log(`ADD file successfully copied! FTP finish ${new Date().toUTCString()}`);
    console.log(`Unzipping ${addFile}`);
    // Unzip FTP'd file and write to addJobs directory
    fs.createReadStream(addFile)
    .pipe(unzipper.Parse())
    .on('entry', function (entry) {
        var fileName = entry.path;
        console.log(`Writing file ${fileName}`);
        entry.pipe(fs.createWriteStream(`./BGDailyFeed/addJobs/${fileName}`))
        .on('finish', function(){
            console.log(`ADD file ${fileName} written.`);
            process.exit(0);
        });
    });
  });

  ftp2.get(`/DailyFeed/Jobs/US/v2/Delete/US_XML_DelFeed_${yesterday}_JobsFor_${prevDate}.zip`, deleteFile, err => {

    if (err) {
      return console.error(`There was an error retrieving the DeleteJobs file. ${err}`);
    }
    console.log(`DELETE file successfully copied! FTP finish ${new Date().toUTCString()}`);
    console.log(`Unzipping ${deleteFile}`);
    // Unzip FTP'd file and write to deleteJobs directory
    fs.createReadStream(deleteFile)
    .pipe(unzipper.Parse())
    .on('entry', function (entry) {
        var fileName = entry.path;
        console.log(`Writing file ${fileName}`);
        entry.pipe(fs.createWriteStream(`./BGDailyFeed/deleteJobs/${fileName}`))
        .on('finish', function(){
            console.log(`DELETE file ${fileName} written.`);
            process.exit(0);
        });
    });
  });
