'use strict';

// Version September 10, 2018
exports.getUserFromToken = function(app, token, cb) {

  console.log("PACKAGE - getUserFromToken: ", token);
  if (token === undefined || token === null){
    console.log("Function getUserFromToken. token is undefined or null");
    cb(null, null);
    return;
  }

  var AccessToken = app.models.AccessToken;
  AccessToken.find({where: { id: token}}, function(err, results) {
     console.log("AccessToken.find >>>>>>>  err: ", err);
     var userIdFromToken = null;
     if (err === null) {
       if (results !== undefined && results.length > 0 && results[0].userId !== undefined){
          userIdFromToken = results[0].userId;
       }
     }
     else{
       console.log("AccessToken find for token [" + token +"] resulted in err:", err);
     }
     console.log("AccessToken.find >>>>>>>  userIdFromToken: ", userIdFromToken);
     cb(null, userIdFromToken);

  });
}


exports.formatResponse = function(app, token, cb) {

  console.log("PACKAGE - formatResponse: ", token);
  cb(null, "formatResponse complete");

}
