package com.ibm.gbs.va.grit.adapter.viewholder;

import android.view.View;

import com.ibm.gbs.va.grit.R;
import com.ibm.gbs.va.grit.databinding.ChatDropdownOutcomingMessageBinding;
import com.ibm.gbs.va.grit.model.chat.ChatMessage;
import com.stfalcon.chatkit.messages.MessageHolders;

public class DropdownOutcomingMessageViewHolder extends MessageHolders.BaseMessageViewHolder<ChatMessage> {

    private final ChatDropdownOutcomingMessageBinding binding;

    public DropdownOutcomingMessageViewHolder(View itemView, Object payload) {
        super(itemView, payload);
        binding = ChatDropdownOutcomingMessageBinding.bind(itemView);
    }

    @Override
    public void onBind(ChatMessage message) {
        binding.message.setText(itemView.getContext().getString(R.string.selected_x, message.getText()));
    }
}
