package com.ibm.gbs.va.grit.fragment.login;

import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.ibm.gbs.va.grit.activity.AuthenticationActivity;
import com.ibm.gbs.va.grit.databinding.FragmentEnterAppBinding;
import com.ibm.gbs.va.grit.fragment.AnalyticsFragment;

public class EnterAppFragment extends AnalyticsFragment implements IAuthenticationFragment {

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        TAG = "EnterAppFragment";
        assert getActivity() != null;

        FragmentEnterAppBinding binding = FragmentEnterAppBinding.inflate(inflater, container, false);
        binding.signUpBtn.setOnClickListener(v -> getAuthenticationActivity().goToSignUp());
        binding.loginLinkBtn.setOnClickListener(v -> getAuthenticationActivity().goToLogin(null));

        return binding.getRoot();
    }


    @Override
    public AuthenticationActivity getAuthenticationActivity() {
        return (AuthenticationActivity) getActivity();
    }
}
