package com.ibm.gbs.va.grit.model.chat;

import android.support.annotation.NonNull;

import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;

public class Paragraph {
    @SerializedName("text")
    private String text;
    @SerializedName("hyperlinkURL")
    private String hyperlink;

    // GETTERS/SETTERS
    public String getText() {
        return text.trim();
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getHyperlink() {
        return hyperlink;
    }

    public void setHyperlink(String hyperlink) {
        this.hyperlink = hyperlink;
    }

    @NonNull
    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
