package com.ibm.gbs.va.grit.model.request;

import android.support.annotation.NonNull;

import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;
import com.ibm.gbs.va.grit.model.type.SquadMember;

public class AddSquadRequest {

    @SerializedName("name")
    private String name;

    @SerializedName("cellPhone")
    private String cellPhone;

    public AddSquadRequest(SquadMember member) {
        this.name = member.getName();
        this.cellPhone = member.getCellPhone();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCellPhone() {
        return cellPhone;
    }

    public void setCellPhone(String cellPhone) {
        this.cellPhone = cellPhone;
    }

    @NonNull
    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
