package com.ibm.gbs.va.grit.model.request;

import android.support.annotation.NonNull;

import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;

public class ConverseRequest {

    @SerializedName("conversationToken")
    private String conversationToken;
    @SerializedName("query")
    private String query;

    public ConverseRequest(String conversationToken, String query) {
        this.conversationToken = conversationToken;
        this.query = query;
    }

    // GETTERS/SETTERS
    public String getConversationToken() {
        return conversationToken;
    }

    public void setConversationToken(String conversationToken) {
        this.conversationToken = conversationToken;
    }

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    @NonNull
    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
