package com.ibm.gbs.va.grit.model.request;

import com.google.gson.annotations.SerializedName;

import org.joda.time.LocalDate;

public class GetJournalEventsRequest extends BaseRequest {

    @SerializedName("startDate")
    private String startDate;

    @SerializedName("endDate")
    private String endDate;

    public GetJournalEventsRequest(LocalDate startDate, LocalDate endDate) {
        if (startDate != null)
            this.startDate = startDate.toString();
        if (endDate != null)
            this.endDate = endDate.toString();


    }


    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

}
