package com.ibm.gbs.va.grit.model.request;

import android.support.annotation.NonNull;

import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;

public class ResetPasswordRequest {

    @SerializedName("email")
    private String email;

    @SerializedName("tempPassword")
    private String tempPassword;

    @SerializedName("newPassword")
    private String newPassword;

    public ResetPasswordRequest(String email, String tempPassword, String newPassword) {
        this.email = email;
        this.tempPassword = tempPassword;
        this.newPassword = newPassword;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getTempPassword() {
        return tempPassword;
    }

    public void setTempPassword(String tempPassword) {
        this.tempPassword = tempPassword;
    }

    public String getNewPassword() {
        return newPassword;
    }

    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }

    @NonNull
    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
