package com.ibm.gbs.va.grit.model.request;

import android.support.annotation.NonNull;

import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;

public class UpdateHandleRequest {
    @SerializedName("id")
    private String id;

    @SerializedName("handle")
    private String handle;

    public UpdateHandleRequest(String id, String handle) {
        this.id = id;
        this.handle = handle;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    @NonNull
    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
