package com.ibm.gbs.va.grit.model.type;

import android.support.annotation.NonNull;

import com.google.gson.Gson;
import com.google.gson.annotations.SerializedName;
import com.ibm.gbs.va.grit.R;

public class SkillDetail {
    @SerializedName("title")
    private String title;

    @SerializedName("hasSkill")
    private Boolean hasSkill;

    public String getTitle() {
        return title;
    }

    public boolean isHasSkill() {
        return hasSkill;
    }

    public int getSkillIcon() {
        if (this.hasSkill) {
            return R.drawable.ic_circled_checkmark;
        } else {
            return R.drawable.ic_circled_x;
        }
    }

    @NonNull
    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
