package com.ibm.gbs.va.grit.repository;

import com.ibm.gbs.va.grit.util.RemoteLog;
import com.ibm.gbs.va.grit.util.UserPrefs;

public class AuthorizationRepository {
    private static final String TAG = "AuthorizationRepository";

    private final UserPrefs userPrefs;

    public AuthorizationRepository(UserPrefs userPrefs) {
        this.userPrefs = userPrefs;
        RemoteLog.d("DaggerScope", TAG);
    }

    public String getCurrentUserEmail() {
        return userPrefs.getCurrentUserEmail();
    }

    public void setCurrentUserEmail(String newCurrentUserEmail) {
        userPrefs.setCurrentUserEmail(newCurrentUserEmail);
    }

    public String getCurrentUserToken() {
        return userPrefs.getUserToken();
    }

    public void setCurrentUserToken(String newToken) {
        userPrefs.setUserToken(newToken);
    }

}
