package com.ibm.gbs.va.grit.rest;

import com.ibm.gbs.va.grit.repository.BadgeRepository;
import com.ibm.gbs.va.grit.util.BadgeDelegate;

import javax.inject.Inject;

// Dagger 2 has trouble injecting directly into generic typed classes
// Need this class to wrap the parameters we want to inject
public class GritCallbackInjectionHelper {
    @Inject
    public NetworkErrorDelegate errorDelegate;
    @Inject
    public BadgeDelegate badgeDelegate;
    @Inject
    public BadgeRepository badgeRepository;
}