package com.ibm.gbs.va.grit.room;

import android.arch.persistence.room.Dao;
import android.arch.persistence.room.Insert;
import android.arch.persistence.room.OnConflictStrategy;
import android.arch.persistence.room.Query;

import com.ibm.gbs.va.grit.model.type.Badge;

import java.util.List;

@Dao
public abstract class BadgeDao {

    @Insert(onConflict = OnConflictStrategy.IGNORE)
    public abstract void saveMultipleBadges(List<Badge> badgesToSaves);

    // Queries
    @Query(("SELECT * FROM known_badges WHERE badge_name LIKE :badgeName"))
    public abstract Badge getBadgeFromString(String badgeName);

    @Query(("SELECT * FROM known_badges"))
    public abstract List<Badge> getAllBadges();

}
