package com.ibm.gbs.va.grit.util;

import android.support.v4.app.FragmentActivity;

import com.ibm.gbs.va.grit.rest.MessageHandler;
import com.karumi.dexter.listener.PermissionDeniedResponse;
import com.karumi.dexter.listener.PermissionGrantedResponse;
import com.karumi.dexter.listener.single.BasePermissionListener;

abstract class GritPermissionListener extends BasePermissionListener {
    private final FragmentActivity activity;
    private final String text;

    public GritPermissionListener(FragmentActivity activity, String permissionJustification) {
        this.activity = activity;
        this.text = permissionJustification;
    }

    @Override
    abstract public void onPermissionGranted(PermissionGrantedResponse response);

    @Override
    public void onPermissionDenied(PermissionDeniedResponse response) {
        MessageHandler.handleError(activity, text);
    }

}

