package com.ibm.gbs.va.grit.viewmodel;

import android.arch.lifecycle.ViewModel;
import android.databinding.ObservableField;
import android.view.View;

import com.ibm.gbs.va.grit.fragment.dashboard.ImmediateHelpFragment.ContactActionType;

public class ListItemLinkViewModel extends ViewModel {
    public final String title;
    public final String subtitle;
    public final String actionAddress;
    public final ContactActionType actionType;
    public final ObservableField<View.OnClickListener> onClickListener = new ObservableField<>();

    public static ListItemLinkViewModel make(String title, String subtitle, ContactActionType actionType, String actionAddress) {
        return new ListItemLinkViewModel(title, subtitle, actionType, actionAddress);
    }

    public static ListItemLinkViewModel make(String title, String subtitle, ContactActionType actionType) {
        return new ListItemLinkViewModel(title, subtitle, actionType, null);
    }

    private ListItemLinkViewModel(String title, String subtitle, ContactActionType actionType, String actionAddress) {
        this.title = title;
        this.subtitle = subtitle;
        this.actionAddress = actionAddress;
        this.actionType = actionType;
    }
}
