### Mannually parsing a file

ssh into argus
All GRIT work is in /sb/ibm/GRIT/xml-to-json-ARGUS/

#### runFTPclient.js
- this will FTP the file of interest onto argus and unzip the xml to the directory /sb/ibm/GRIT/xml-to-json-ARGUS/BGHistoricalFeed/addJobs

Run instructions:
- comment out delete ftp call (should already be done)
- replace the zip file name in line 24 (addFile) and line 28 (ftp.get path to file on BG server)

```
node runFTPclient.js
```
*This will take about 5 min*

#### parseAddJobs.js
- this will parse the recently ftp'ed xml file in /sb/ibm/GRIT/xml-to-json-ARGUS/BGHistoricalFeed/addJobs and write a file called AddBurningGlassJobs_date.json

```
node parseAddJobs.js -f ./BGHistoricalFeed/addJobs/XML_filename.xml
```
*This will take 10-20 minutes depending on the size of the file*

#### parseDeleteJobs.js
- before running this you need to run runFTPclient.js except with the ftp to the delete file. Uncomment the delete code and comment the add code and change the zip file name in the 2 locations

```
node parseDeleteJobs.js -f ./BGHistoricalFeed/deleteJobs/XML_filename.xml
```
*This should be a fast process as the files are much smaller*

#### Uploading jobs to MongoDB and writing each job as a JSON
- FTP the AddJobs json to your local machine.
- make sure you are pointing to the GRIT server MongoDB in config.js
- in postman POST localhost:3000/api/WEMAdmins/BurningGlass/uploadJobs
  - body:
    - jdFile: the add jobs json you just ftp'd from argus
    - jobIndustry: BurningGlass

This will upload all of the jobs to the GRIT Server MongoDB instance in gritJobs collection

It will also create a directory in wem-master/UploadedJobs/today's date
This will contain each job as a Json

#### Uploading jobs to WDS
- make sure you are pointing to the correct workspace
- in postman POST localhost:3000/api/WEMAdmins/createDocuments?directory=./UploadedJobs/2018-12-21
  - body:
    - directory: ./UploadedJobs/today's date directory name
*Note: Each JSON is moved to a directory called process_dir. If you stop and start the upload to WDS, you must delete this directory when starting again. For production, each JSON should simply be deleted once uploaded to WDS*
