# Risk Service Project

## Tech Stack
- Oracle JDK 1.8
- Drools 7.11
- Jersey 2.27
- Grizzly 
- MOXy

## Notes
- Development environment
    - Maven is the preferred way to manage dependencies for this project.
        - Compatibility with Eclipse m2e plugin is broken. Do not use the m2e plugin.
        - Use the Maven eclipse plugin instead.
    - Drools support can be installed using the Eclipse marketplace to install either JBoss Tools or Red Hat Developer Studio. Otherwise other IDEs or text editors can be used for Drools but possibly without some convenience features for rules development such as syntax highlighting and rules browsers.

- Docker
    - Uses maven:latest image as base
    - Image name: "risk"
    - Runs on port 3333 mapped to 8080
    - Command to build: `sudo docker build --tag risk .`
    - Command to run `sudo docker run -td -p 3333:8080 risk`