package com.ibm.grit.rest;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ScoreRequestData implements Serializable {
    
    private static final long serialVersionUID = 4466378882014882157L;
    
    public Date timestamp = new Date();
    public String vetId;
    public SocialMedia socialMedia;
    public List<Flag> currentSessionFlags = new ArrayList<>();
    public String surveyType;
    public String questionSetId;
    public int version;
    public boolean abortSurveySession;
    public List<Metric> metrics= new ArrayList<>();
    public List<TextEntryMetric> textEntryMetrics = new ArrayList<>();
    
    public ScoreRequestData() {
        super();
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    public String getVetId() {
        return vetId;
    }

    public void setVetId(String vetId) {
        this.vetId = vetId;
    }

    public SocialMedia getSocialMedia() {
        return socialMedia;
    }

    public void setSocialMedia(SocialMedia socialMedia) {
        this.socialMedia = socialMedia;
    }

    public List<Flag> getCurrentSessionFlags() {
        return currentSessionFlags;
    }

    public void setCurrentSessionFlags(List<Flag> currentSessionFlags) {
        this.currentSessionFlags = currentSessionFlags;
    }

    public String getSurveyType() {
        return surveyType;
    }

    public void setSurveyType(String surveyType) {
        this.surveyType = surveyType;
    }

    public String getQuestionSetId() {
        return questionSetId;
    }

    public void setQuestionSetId(String questionSetId) {
        this.questionSetId = questionSetId;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public boolean isAbortSurveySession() {
        return abortSurveySession;
    }

    public void setAbortSurveySession(boolean abortSurveySession) {
        this.abortSurveySession = abortSurveySession;
    }

    public List<Metric> getMetrics() {
        return metrics;
    }

    public void setMetrics(List<Metric> metrics) {
        this.metrics = metrics;
    }

    public List<TextEntryMetric> getTextEntryMetrics() {
        return textEntryMetrics;
    }

    public void setTextEntryMetrics(List<TextEntryMetric> textEntryMetrics) {
        this.textEntryMetrics = textEntryMetrics;
    }
}
