package com.ibm.grit.scoring;

import java.io.Serializable;

public class Military implements Serializable {
    private static final long serialVersionUID = 9068856463167734307L;
    
    public static final int FALSE = 0;
    public static final int TRUE = 1;
    
    public String personId;
    
    public int officer;
    public static final int COMMISSIONED_OFFICER = 1;
    public static final int WARRANT_OFFICER = 2;
    public static final int ENLISTED = 3;
    public int officerRefuse;
    
    public int seriousInj;
    public static final int NO_SERIOUS_INJ = 1;
    public static final int YES_SERIOUS_INJ = 2;
    public static final int PRIOR_TO_9_11 = 3;
    public int seriousInjRefuse;
    
    public int dischType;
    public static final int HONORABLE = 1;
    public static final int GENERAL_UNDER_HONORABLE = 2;
    public static final int OTH = 3;
    public static final int BCD = 4;
    public static final int DISHONORABLE = 5;
    public static final int OFFICER_DISCHARGE = 6;
    public static final int ELS = 7;
    public static final int MEDICAL = 8;
    public int dischTypeRefuse;
    
    public int reductRank; // Use constants NO or YES
    public int reductRankRefuse;
    
    public int combat;
    public static final int NO = 1;
    public static final int YES = 2;
    public int combatRefuse;
    
    public int firearms;
    public static final int DONT_OWN = 1;
    public static final int OWN_AND_SECURELY_STORE = 2;
    public static final int OWN_AND_DONT_SECURELY_STORE = 3;
    public int firearmsRefuse;
    
    public int closeSuicide; // Use constants NO or YES
    public int closeSuicideRefuse;
    
    public Military() {
        super();
    }

    public String getPersonId() {
        return personId;
    }

    public void setPersonId(String personId) {
        this.personId = personId;
    }

    public int getOfficer() {
        return officer;
    }

    public void setOfficer(int officer) {
        this.officer = officer;
    }

    public int getOfficerRefuse() {
        return officerRefuse;
    }

    public void setOfficerRefuse(int officerRefuse) {
        this.officerRefuse = officerRefuse;
    }

    public int getSeriousInj() {
        return seriousInj;
    }

    public void setSeriousInj(int seriousInj) {
        this.seriousInj = seriousInj;
    }

    public int getSeriousInjRefuse() {
        return seriousInjRefuse;
    }

    public void setSeriousInjRefuse(int seriousInjRefuse) {
        this.seriousInjRefuse = seriousInjRefuse;
    }

    public int getDischType() {
        return dischType;
    }

    public void setDischType(int dischType) {
        this.dischType = dischType;
    }

    public int getDischTypeRefuse() {
        return dischTypeRefuse;
    }

    public void setDischTypeRefuse(int dischTypeRefuse) {
        this.dischTypeRefuse = dischTypeRefuse;
    }

    public int getReductRank() {
        return reductRank;
    }

    public void setReductRank(int reductRank) {
        this.reductRank = reductRank;
    }

    public int getReductRankRefuse() {
        return reductRankRefuse;
    }

    public void setReductRankRefuse(int reductRankRefuse) {
        this.reductRankRefuse = reductRankRefuse;
    }

    public int getCombat() {
        return combat;
    }

    public void setCombat(int combat) {
        this.combat = combat;
    }

    public int getCombatRefuse() {
        return combatRefuse;
    }

    public void setCombatRefuse(int combatRefuse) {
        this.combatRefuse = combatRefuse;
    }

    public int getFirearms() {
        return firearms;
    }

    public void setFirearms(int firearms) {
        this.firearms = firearms;
    }

    public int getFirearmsRefuse() {
        return firearmsRefuse;
    }

    public void setFirearmsRefuse(int firearmsRefuse) {
        this.firearmsRefuse = firearmsRefuse;
    }

    public int getCloseSuicide() {
        return closeSuicide;
    }

    public void setCloseSuicide(int closeSuicide) {
        this.closeSuicide = closeSuicide;
    }

    public int getCloseSuicideRefuse() {
        return closeSuicideRefuse;
    }

    public void setCloseSuicideRefuse(int closeSuicideRefuse) {
        this.closeSuicideRefuse = closeSuicideRefuse;
    }
}
