package com.ibm.grit.rest;

import java.io.IOException;
import java.util.List;
import com.ibm.grit.scoring.Tweet;

import static com.ibm.grit.rest.BlueTas.getTweets;

public class ManualBlueTasTest {

    public static void main(String[] args) throws Exception {
        String jsonPath = "/home/swac/GitHub/va-grit-cognitive/rules-engine/drools-scoring/src/test/resources/BlueTAS_morpheo.json";
        
        //String response = new String(Files.readAllBytes(Paths.get(jsonPath)));
        //String response = run("http://169.62.10.213:9080/BluetasAPI/api/v1/search/?query=realdonaldtrump&source=mongodb&channel=twitter&start_date=10/15/2018&end_date=11/15/2018");
        //System.out.println(response);
        
        List<Tweet> tweets = getTweets("morpheo", "HRM");
        System.out.println("No tweets: " + tweets.isEmpty());
        
        for (Tweet tweet: tweets) {
            System.out.println("Tweet");
            System.out.println("   id: " + tweet.tweetId);
            System.out.println("   author: " + tweet.author);
            System.out.println("   created at: " + tweet.createdAt);
            System.out.println("   text: " + tweet.text);
            System.out.println("   sentiment score: " + tweet.sentimentScore);
        }        
    }
}