import json
from jsonschema import validate
from dataclasses import asdict
from rules_test import *


with open('vet_json_schema.json', 'r') as f:
    schema = json.load(f)

v0 = gen_zero_risk_vet()
v1 = gen_low_risk_vet()
v2 = gen_med_risk_vet()
v3 = gen_hi_risk_vet()

vets = [v0, v1, v2, v3]

for i in range(len(vets)):
    vd = asdict(vets[i])
    validate(vd, schema)
    print('vet' + str(i) + ' validated')

