'use strict';

var parser = require("./daHtmlParser");

var token = "BASE-64 ENCODED STRING";
var rawHtml = `
    <p>This is a test of the <a href="http://www.google.com">HTML Parser</a>.  This has a lot of interesting text in it, 
    like <a href="http://www.yahoo.com">this</a>.</p>
    <p>Also, this is a second <div>paragraph with</div> a lot <span>of unnecessary spans</span> and <h1>tags</h1>.</p>
    <p>This third paragraph has a break right<br>here</p>

    <map name="Some place" address1="123 Main Street" city="New York" state="NY" zip="12345" href="http://www.someplace.com"></map>
  
    <button value="One">1</button>
    <button value="Two">2</button>
    <button value="Three">3</button>
    <button value="Four">4</button>
    <button value="Five">5</button>
    <button value="Six">6</button>
`

var result = parser.parseDigitialAssistantHTML(rawHtml, token);
console.log(result);

rawHtml = `
    This is different test of the <a href="http://www.google.com">HTML Parser</a>.  This has a lot of interesting text in it, 
    like <a href="http://www.yahoo.com">this</a>.
    <p>
    Also, this is a second <div>paragraph with</div> a lot <span>of unnecessary spans</span> and <h1>tags</h1>.
    <p>
    This third paragraph has a break right<br>here.

    <map name="Some place" address1="123 Main Street" city="New York" state="NY" zip="12345" href="http://www.someplace.com"></map>
  
    <option value="One">1</option>
    <option value="Two">2</option>
    <option value="Three">3</option>
    <option value="Four">4</option>
    <option value="Five">5</option>
    <option value="Six">6</option>
`

result = parser.parseDigitialAssistantHTML(rawHtml, token);
console.log(result);