'use strict';

var app = require('../../server/server');
var constants = require('../constants').constants(app);
var mongoUrl = constants.mongo.url;
var mongoDbName = constants.mongo.dbName;
//const VaGrit = require('va-grit-microservices');
//var responseBuilder = require('va-grit-microservices/response/responseBuilder');
var MongoClient = require('mongodb').MongoClient;
var ACCEPTED = constants.accepted;
var PENDING = constants.pending;

module.exports = function(Twilio) {

  Twilio.squadMateAccept = function(req, res, cb) {
    //console.log("****Start of Twilio.squadMateAccept.  req: ", req);
    //console.log("****Start of Twilio.squadMateAccept.  res: ", res);
    
    if (req.body === undefined 
         || req.body.Body === undefined
         || req.body.SmsMessageSid === undefined || req.body.SmsMessageSid === null || req.body.SmsMessageSid === ""
         || req.body.From === undefined || req.body.From === null || req.body.From === "") {
           
          res.send("Missing Required fields or values");
          return;
     }
    
    
    console.log("****Start of Twilio.squadMateAccept.  req.body: ", req.body);
           
       //console.log("****Start of Twilio.squadMateAccept.  req.body: ", req.body);
       //console.log("****Start of Twilio.squadMateAccept.  req.body.SmsMessageSid: ", req.body.SmsMessageSid);
       //console.log("****Start of Twilio.squadMateAccept.  req.body.From: ", req.body.From);
       
    
      //console.log("****Start of Twilio.squadMateAccept. UPDATE TO ACCEPTED ");
      // Update the record based on req.body.SmsMessageSid
      // Return a SIMPLE response success 
      
      //Remove plus from phone
      var phone = req.body.From.replace("+","");
      //console.log("****Start of Twilio.squadMateAccept.  phone: ", phone);
      
      MongoClient.connect(mongoUrl, function(err, db) {
        if (err) throw err;
        var dbo = db.db(mongoDbName);
        
            //Update Sqaud Mate to Accepted
            dbo.collection("mate").updateMany({cellPhone:phone}, { $set: { state : ACCEPTED } }, function(err, mateInstance) {
              //console.log('********************** TwilioClient mongodbConnection: mateInstance: ', mateInstance);
              //console.log('********************** TwilioClient mongodbConnection: err: ', err);
              if (err !== null) {
                 console.log('TwilioClient mongodbConnection: err: ', err);
                 db.close();
                 var errorMessage = "TwilioClient Error invoking vetServerClient.getUser - Error [" + err + "]";
                 //cb(errorMessage, null);
                 res.send("");
              } else {
                 // Send initial conversation to Carla
                 
                 if (mateInstance === undefined || mateInstance === null || 
                   (mateInstance !== undefined && mateInstance !== null 
                     && (mateInstance.result !== undefined && mateInstance.result.ok !== 1))) {
                     db.close();
                    errorMessage = "TwilioClient No matching record found";
                    //cb(errorMessage, null);
                    res.send("");
                 } 
                 else {
                   console.log('********************** TwilioClient send reponse to mateInstance.name: ', mateInstance.name);
                   db.close();
                   res.send("<Response><Message>Thank you for agreeing to be part of this trusted squad!</Message></Response>");
                 }
              }
          });
        
      });
     
  };  // Twilio.squadMateAccept

  
  Twilio.remoteMethod('squadMateAccept', {
    accepts: [
       {arg: 'req', type: 'object', 'http': {source: 'req'}},
       {arg: 'res', type: 'object', 'http': {source: 'res'}}
    ],
    returns: [
        {arg: 'response', type: 'xml'},
        {arg: 'Content-Type', type: 'text/xml', http: { target: 'root' }}
      ],
      http: {path: '/squadMateAccept', verb: 'post'}
  });

};
